summaryrefslogtreecommitdiffstats
path: root/cholerab/knut/plugs
diff options
context:
space:
mode:
Diffstat (limited to 'cholerab/knut/plugs')
-rwxr-xr-xcholerab/knut/plugs/pynot/index17
-rwxr-xr-xcholerab/knut/plugs/ttycnser/bin/login4
-rwxr-xr-xcholerab/knut/plugs/ttycnser/bin/write4
l---------cholerab/knut/plugs/ttycnser/index1
4 files changed, 26 insertions, 0 deletions
diff --git a/cholerab/knut/plugs/pynot/index b/cholerab/knut/plugs/pynot/index
new file mode 100755
index 00000000..04e9c90c
--- /dev/null
+++ b/cholerab/knut/plugs/pynot/index
@@ -0,0 +1,17 @@
+#!/usr/bin/python
+
+import pynotify,os,sys
+
+imageURI = os.path.abspath(os.path.normpath(os.path.dirname(sys.argv[0]) + '/../../../bling/krebs_plain_negate_nobg.png'))
+try:
+ TITLE=os.environ.get('method','clive') + ':' + os.environ.get('id','-1')
+ MESSAGE=os.environ.get('params','No Message')
+except:
+ print("Error 1: You are made of stupid!")
+ exit(23)
+
+pynotify.init("Notif App",)
+print imageURI
+n = pynotify.Notification(TITLE, MESSAGE,imageURI)
+n.set_timeout(20000)
+n.show()
diff --git a/cholerab/knut/plugs/ttycnser/bin/login b/cholerab/knut/plugs/ttycnser/bin/login
new file mode 100755
index 00000000..bf88d6f9
--- /dev/null
+++ b/cholerab/knut/plugs/ttycnser/bin/login
@@ -0,0 +1,4 @@
+#! /bin/sh
+set -euf
+pipe="/tmp/krebscode.painload.cholerab.ttycnser.${LOGNAME}"
+ln -snf "`tty`" "$pipe"
diff --git a/cholerab/knut/plugs/ttycnser/bin/write b/cholerab/knut/plugs/ttycnser/bin/write
new file mode 100755
index 00000000..f358407a
--- /dev/null
+++ b/cholerab/knut/plugs/ttycnser/bin/write
@@ -0,0 +1,4 @@
+#! /bin/sh
+set -euf
+pipe="/tmp/krebscode.painload.cholerab.ttycnser.${LOGNAME}"
+echo -n "7>>>> ${params}8" > "${pipe}"
diff --git a/cholerab/knut/plugs/ttycnser/index b/cholerab/knut/plugs/ttycnser/index
new file mode 120000
index 00000000..2d949688
--- /dev/null
+++ b/cholerab/knut/plugs/ttycnser/index
@@ -0,0 +1 @@
+bin/write \ No newline at end of file